| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::DItemToolTip Class Referenceabstract
Inheritance diagram for Digikam::DItemToolTip:

## Public Member Functions
| DItemToolTip (QWidget *const parent=nullptr)

## Protected Member Functions
bool | event (QEvent *) override
void | paintEvent (QPaintEvent *) override
void | renderArrows ()
void | reposition ()
virtual QRect | repositionRect ()=0
void | resizeEvent (QResizeEvent *) override
virtual QString | tipContents ()=0
bool | toolTipIsEmpty () const
void | updateToolTip ()

## Member Function Documentation

## ◆ tipContents()

virtual QString Digikam::DItemToolTip::tipContents | ( |  | ) |
| protected pure virtual

Implemented in Digikam::ItemViewToolTip.